httpd-bugs mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bugzi...@apache.org
Subject DO NOT REPLY [Bug 52774] RewriteRules within outgoing proxy no longer work
Date Mon, 05 Mar 2012 19:48:12 GMT
https://issues.apache.org/bugzilla/show_bug.cgi?id=52774

Jerome Grandjanny <jerome.grandjanny@laposte.net> changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
             Status|NEEDINFO                    |NEW

--- Comment #4 from Jerome Grandjanny <jerome.grandjanny@laposte.net> 2012-03-05 19:48:12
UTC ---
(In reply to comment #3)
> (In reply to comment #0)
> > This kind of configuration is for an outgoing proxy which filters advertisments
> > requests. It worked in 2.2.13 but not in 2.2.14 :
> 
> (In reply to comment #2)
> > and RewriteConds to eliminate advertisments from my navigations. It was working
> > nice for years and years on many systems until my Ubuntu updated Apache Httpd
> > to 2.2.14 and then it was broken.
> 
> Thanks for the test case.
> 
> Were you really using 2.2.13 before, or just the version which Ubuntu
> previously provided?
> 
> And when saying "2.2.14", are you referring to a vanilla httpd 2.2.14
> deployment, or actually something like 2.2.14-5ubuntuXYZ?

Yes, indeed, I was not aware that Ubuntu did its own cooking with Apache
versions.

when I type :
        apache2ctl -v
I get :
        Server version: Apache/2.2.14 (Ubuntu)
        Server built:   Feb 14 2012 18:09:18

And when I type :
        cd /root/.synaptic/log
        fgrep 'apache2 ' *.log
I get :
        2010-10-05.192601.log:apache2 (2.2.14-5ubuntu8.2)
        2010-10-28.115159.log:apache2 (2.2.14-5ubuntu8.2) to 2.2.14-5ubuntu8.3
        2010-11-27.173910.log:apache2 (2.2.14-5ubuntu8.3) to 2.2.14-5ubuntu8.4
        2011-09-02.191300.log:apache2 (2.2.14-5ubuntu8.4) to 2.2.14-5ubuntu8.6
        2011-11-14.190709.log:apache2 (2.2.14-5ubuntu8.6) to 2.2.14-5ubuntu8.7
        2012-02-20.111132.log:apache2 (2.2.14-5ubuntu8.7) to 2.2.14-5ubuntu8.8

Obviously, my configuration broke on 2012-02-20.

-- 
Configure bugmail: https://issues.apache.org/bugzilla/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are the assignee for the bug.

---------------------------------------------------------------------
To unsubscribe, e-mail: bugs-unsubscribe@httpd.apache.org
For additional commands, e-mail: bugs-help@httpd.apache.org


Mime
View raw message